View Issue Details

IDProjectCategoryView StatusLast Update
0030627FPCRTLpublic2016-11-27 21:38
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030627: [PATCH] Add Delphi compatible exceptions
DescriptionHello,

The attached patch declares two classes for Delphi compatibility:

EInvalidOpException - http://docwiki.embarcadero.com/Libraries/Seattle/en/System.SysUtils.EInvalidOpException

EProgrammerNotFound - http://docwiki.embarcadero.com/Libraries/Seattle/en/System.SysUtils.EProgrammerNotFound

Thank you!
Tagsdelphi compatibility, exceptions, rtl
Fixed in Revision34986
FPCOldBugId
FPCTarget
Attached Files
  • 0001-Delphi-compatibility-classes-Patch-by-Silvio-Clecio-.patch (1,057 bytes)
    From 0b0724108aae38b4996d1055c29071084154145d Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Wed, 21 Sep 2016 22:14:30 -0300
    Subject: [PATCH] * Delphi compatibility classes (Patch by Silvio Clecio, bug
     ID 30627)
    
    ---
     rtl/objpas/sysutils/sysutilh.inc | 5 +++++
     1 file changed, 5 insertions(+)
    
    diff --git a/rtl/objpas/sysutils/sysutilh.inc b/rtl/objpas/sysutils/sysutilh.inc
    index 4066343..c4b1f86 100644
    --- a/rtl/objpas/sysutils/sysutilh.inc
    +++ b/rtl/objpas/sysutils/sysutilh.inc
    @@ -211,6 +211,9 @@ type
        ENoThreadSupport = Class(Exception);
        ENoWideStringSupport = Class(Exception);
        ENoDynLibsSupport = class(Exception);
    +
    +   EProgrammerNotFound = class(Exception);
    +
        ENotImplemented = class(Exception);
     
        EArgumentException = class(Exception);
    @@ -223,6 +226,8 @@ type
        EFileNotFoundException = class(Exception);
        EPathNotFoundException = class(Exception);
     
    +   EInvalidOpException = class(Exception);
    +
        ENoConstructException = class(Exception);
     
        { Exception handling routines }
    -- 
    2.7.4
    
    

Activities

silvioprog

2016-09-22 03:14

reporter  

0001-Delphi-compatibility-classes-Patch-by-Silvio-Clecio-.patch (1,057 bytes)
From 0b0724108aae38b4996d1055c29071084154145d Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Wed, 21 Sep 2016 22:14:30 -0300
Subject: [PATCH] * Delphi compatibility classes (Patch by Silvio Clecio, bug
 ID 30627)

---
 rtl/objpas/sysutils/sysutilh.inc | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/rtl/objpas/sysutils/sysutilh.inc b/rtl/objpas/sysutils/sysutilh.inc
index 4066343..c4b1f86 100644
--- a/rtl/objpas/sysutils/sysutilh.inc
+++ b/rtl/objpas/sysutils/sysutilh.inc
@@ -211,6 +211,9 @@ type
    ENoThreadSupport = Class(Exception);
    ENoWideStringSupport = Class(Exception);
    ENoDynLibsSupport = class(Exception);
+
+   EProgrammerNotFound = class(Exception);
+
    ENotImplemented = class(Exception);
 
    EArgumentException = class(Exception);
@@ -223,6 +226,8 @@ type
    EFileNotFoundException = class(Exception);
    EPathNotFoundException = class(Exception);
 
+   EInvalidOpException = class(Exception);
+
    ENoConstructException = class(Exception);
 
    { Exception handling routines }
-- 
2.7.4

Michael Van Canneyt

2016-11-27 16:54

administrator   ~0096304

Applied the patch, thank you very much!

silvioprog

2016-11-27 21:38

reporter   ~0096315

Awesome! :-)

Issue History

Date Modified Username Field Change
2016-09-22 03:14 silvioprog New Issue
2016-09-22 03:14 silvioprog File Added: 0001-Delphi-compatibility-classes-Patch-by-Silvio-Clecio-.patch
2016-09-22 03:15 silvioprog Tag Attached: delphi compatibility
2016-09-22 03:15 silvioprog Tag Attached: rtl
2016-09-22 03:15 silvioprog Tag Attached: exceptions
2016-09-22 03:15 silvioprog Tag Attached: Exception
2016-09-22 03:16 silvioprog Tag Detached: Exception
2016-11-27 14:12 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-11-27 14:12 Michael Van Canneyt Status new => assigned
2016-11-27 16:54 Michael Van Canneyt Fixed in Revision => 34986
2016-11-27 16:54 Michael Van Canneyt Note Added: 0096304
2016-11-27 16:54 Michael Van Canneyt Status assigned => resolved
2016-11-27 16:54 Michael Van Canneyt Fixed in Version => 3.1.1
2016-11-27 16:54 Michael Van Canneyt Resolution open => fixed
2016-11-27 16:54 Michael Van Canneyt Target Version => 3.2.0
2016-11-27 21:38 silvioprog Note Added: 0096315
2016-11-27 21:38 silvioprog Status resolved => closed